#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEF,0xBE,0xC5,0x74,0xC6,0x99,0x9F,0xD4,0x9D,0x3D,0x38,0x57,
		0x03,0x3B,0xDC,0x4A,0xE1,0x83,0xF7,0x38,0x8C,0xC4,0x1F,0x46,
		0x9C,0x33,0x23,0x58,0xF5,0xFA,0x2F,0x62,0xC3,0x33,0x47,0xE7,
		0x90,0xBA,0x12,0x1D,0x73,0xC5,0xAF,0x96,0x72,0x09,0x87,0x0D,
		0xDE,0xB9,0x9A,0x55,0x8B,0xF0,0x2B,0xFA,0x83,0x8D,0xE4,0x71,
		0xF0,0xE9,0x7E,0x53,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
